Package org.lwjgl.opengl

# Class EXTTextureSwizzle

java.lang.Object
org.lwjgl.opengl.EXTTextureSwizzle

public final class EXTTextureSwizzle extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_TEXTURE_SWIZZLE_A_EXT`
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:
`static final int`
`GL_TEXTURE_SWIZZLE_B_EXT`
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:
`static final int`
`GL_TEXTURE_SWIZZLE_G_EXT`
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:
`static final int`
`GL_TEXTURE_SWIZZLE_R_EXT`
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:
`static final int`
`GL_TEXTURE_SWIZZLE_RGBA_EXT`
Accepted by the <pname> parameters of TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TEXTURE_SWIZZLE_R_EXT

public static final int GL_TEXTURE_SWIZZLE_R_EXT
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

See Also:
  - Constant Field Values

### GL_TEXTURE_SWIZZLE_G_EXT

public static final int GL_TEXTURE_SWIZZLE_G_EXT
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

See Also:
  - Constant Field Values

### GL_TEXTURE_SWIZZLE_B_EXT

public static final int GL_TEXTURE_SWIZZLE_B_EXT
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

See Also:
  - Constant Field Values

### GL_TEXTURE_SWIZZLE_A_EXT

public static final int GL_TEXTURE_SWIZZLE_A_EXT
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

See Also:
  - Constant Field Values

### GL_TEXTURE_SWIZZLE_RGBA_EXT

public static final int GL_TEXTURE_SWIZZLE_RGBA_EXT
Accepted by the <pname> parameters of TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

See Also:
  - Constant Field Values